Subject: Re: [patch net-next v5 06/21] net: introduce generic switch devices support

From: Lino Sanfilippo <[email-masked]>
Date: Sat, 29 Nov 2014 11:44:07 +0100

On 29.11.2014 10:59, Jiri Pirko wrote:

> 
> Lino, this was already discussed. So far there is no need to introduce
> such new infrastructure. But we have deal that once the need appears, it
> will be added (it easily can be).
> 
>>There is already an existing driver (see net/dsa) that addresses the
>>representation of switch devices. What is wrong with that?
> 
> This was already discussed as well. dsa is more of a driver for specific
> devices (has for example highly integrated mdio interface). There is
> also a deal to keep these 2 thing separated for now and try to merge
> that as much as we can in the future.
> 

I admit i did not follow the whole discussion. I was just wondering why
the existing dsa driver is not extended. But as you said it is planned
to do this in future. So thanks for your explanation.

Regards,
Lino